# Interface yii\db\conditions\ConditionInterface

Extends | yii\db\ExpressionInterface
Implemented by | yii\db\conditions\AndCondition, yii\db\conditions\BetweenColumnsCondition, yii\db\conditions\BetweenCondition, yii\db\conditions\ConjunctionCondition, yii\db\conditions\ExistsCondition, yii\db\conditions\HashCondition, yii\db\conditions\InCondition, yii\db\conditions\LikeCondition, yii\db\conditions\NotCondition, yii\db\conditions\OrCondition, yii\db\conditions\SimpleCondition
Available since version | 2.0.14
Source Code | https://github.com/yiisoft/yii2/blob/master/framework/db/conditions/ConditionInterface.php

Interface ConditionInterface should be implemented by classes that represent a condition in DBAL of framework.

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
fromArrayDefinition() | Creates object by array-definition as described in Query Builder – Operator format guide article. | yii\db\conditions\ConditionInterface

## Method Details

fromArrayDefinition() public abstract static method

Creates object by array-definition as described in Query Builder – Operator format guide article.

public abstract static $this fromArrayDefinition ( $operator, $operands )
$operator | string | Operator in uppercase.
$operands | array | Array of corresponding operands
throws | yii\base\InvalidParamException | if input parameters are not suitable for this condition